FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202006211650.p0 BUILD_VERSION=v4.3.27 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=27 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.27-202006211650.p? 
ENV __doozer=merge OS_GIT_COMMIT=af8ffe7 OS_GIT_VERSION=4.3.27-202006211650.p?-af8ffe7 SOURCE_DATE_EPOCH=1583524676 SOURCE_GIT_COMMIT=af8ffe7fcef786a239e9eabf7f9ffe24a0ee40f0 SOURCE_GIT_TAG=af8ffe7f SOURCE_GIT_URL=https://github.com/openshift/cluster-nfd-operator 
WORKDIR /go/src/github.com/openshift/cluster-nfd-operator
COPY . .
RUN GO111MODULE=on make build

FROM openshift/ose-base:v4.3.27.20200621.173109
ENV __doozer=update BUILD_RELEASE=202006211650.p0 BUILD_VERSION=v4.3.27 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=27 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.27-202006211650.p? 
ENV __doozer=merge OS_GIT_COMMIT=af8ffe7 OS_GIT_VERSION=4.3.27-202006211650.p?-af8ffe7 SOURCE_DATE_EPOCH=1583524676 SOURCE_GIT_COMMIT=af8ffe7fcef786a239e9eabf7f9ffe24a0ee40f0 SOURCE_GIT_TAG=af8ffe7f SOURCE_GIT_URL=https://github.com/openshift/cluster-nfd-operator 
ARG CSV=4.3
COPY --from=builder /go/src/github.com/openshift/cluster-nfd-operator/cluster-nfd-operator /usr/bin/

RUN mkdir -p /opt/nfd
COPY assets /opt/nfd

#ADD controller-manifests /manifests
COPY manifests/olm-catalog/$CSV /manifests/$CSV
COPY manifests/olm-catalog/nfd.package.yaml /manifests/

RUN useradd cluster-nfd-operator
USER cluster-nfd-operator
ENTRYPOINT ["/usr/bin/cluster-nfd-operator"]

LABEL \
        io.k8s.display-name="OpenShift cluster-nfd-operator" \
        io.k8s.description="This is a component of OpenShift and manages the node feature discovery." \
        io.openshift.tags="openshift" \
        com.redhat.delivery.appregistry="false" \
        maintainer="ATS Auto Tuning Scalability  <aos-scalability@redhat.com>" \
        name="openshift/ose-cluster-nfd-operator" \
        com.redhat.component="cluster-nfd-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.27" \
        release="202006211650.p0" \
        io.openshift.build.commit.id="af8ffe7fcef786a239e9eabf7f9ffe24a0ee40f0" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-nfd-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-nfd-operator/commit/af8ffe7fcef786a239e9eabf7f9ffe24a0ee40f0"

